Package org.bukkit.event.player

# Class PlayerInteractEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerInteractEntityEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PlayerArmorStandManipulateEvent`, `PlayerInteractAtEntityEvent`

public class PlayerInteractEntityEvent extends PlayerEvent implements Cancellable
Represents an event that is called when a player right clicks an entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Entity`
`clickedEntity`

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerInteractEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity)`
`PlayerInteractEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
`getHand()`
The hand used to perform this interaction.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Entity`
`getRightClicked()`
Gets the entity that was right-clicked by the player.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### clickedEntity

protected Entity clickedEntity

## Constructor Details

### PlayerInteractEntityEvent

public PlayerInteractEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity clickedEntity)

### PlayerInteractEntityEvent

public PlayerInteractEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity clickedEntity, @NotNull @NotNull EquipmentSlot hand)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getRightClicked

@NotNull public @NotNull Entity getRightClicked()
Gets the entity that was right-clicked by the player.

Returns:
  entity right clicked by player

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
The hand used to perform this interaction.

Returns:
  the hand used to interact

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()